---
title: WebGLRenderingContext.isEnabled()
slug: Web/API/WebGLRenderingContext/isEnabled
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.isEnabled()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> tests whether a specific WebGL capability is enabled or not for this context.</p>

<p>By default, all capabilities except <code>gl.DITHER</code> are <strong>disabled</strong>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">GLboolean <var>gl</var>.isEnabled(<var>cap</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>cap</code></dt>
 <dd>A {{domxref("GLenum")}} specifying which WebGL capability to test. Possible values:</dd>
 <dd>
 <table class="standard-table">
  <thead>
   <tr>
    <th scope="col">Constant</th>
    <th scope="col">Description</th>
   </tr>
  </thead>
  <tbody>
   <tr>
    <td><code>gl.BLEND</code></td>
    <td>Blending of the computed fragment color values. See {{domxref("WebGLRenderingContext.blendFunc()")}}.</td>
   </tr>
   <tr>
    <td><code>gl.CULL_FACE</code></td>
    <td>Culling of polygons. See {{domxref("WebGLRenderingContext.cullFace()")}}.</td>
   </tr>
   <tr>
    <td><code>gl.DEPTH_TEST</code></td>
    <td>Depth comparisons and updates to the depth buffer. See {{domxref("WebGLRenderingContext.depthFunc()")}}.</td>
   </tr>
   <tr>
    <td><code>gl.DITHER</code></td>
    <td>Dithering of color components before they get written to the color buffer.</td>
   </tr>
   <tr>
    <td><code>gl.POLYGON_OFFSET_FILL</code></td>
    <td>Adding an offset to depth values of polygon's fragments. See {{domxref("WebGLRenderingContext.polygonOffset()")}}.</td>
   </tr>
   <tr>
    <td><code>gl.SAMPLE_ALPHA_TO_COVERAGE</code></td>
    <td>Computation of a temporary coverage value determined by the alpha value.</td>
   </tr>
   <tr>
    <td><code>gl.SAMPLE_COVERAGE</code></td>
    <td>ANDing the fragment's coverage with the temporary coverage value. See {{domxref("WebGLRenderingContext.sampleCoverage()")}}.</td>
   </tr>
   <tr>
    <td><code>gl.SCISSOR_TEST</code></td>
    <td>Scissor test that discards fragments that are outside of the scissor rectangle. See {{domxref("WebGLRenderingContext.scissor()")}}.</td>
   </tr>
   <tr>
    <td><code>gl.STENCIL_TEST</code></td>
    <td>Stencil testing and updates to the stencil buffer. See {{domxref("WebGLRenderingContext.stencilFunc()")}}.</td>
   </tr>
  </tbody>
 </table>
 When using a {{domxref("WebGL2RenderingContext", "WebGL 2 context", "", 1)}}, the following values are available additionally:

 <table class="standard-table">
  <thead>
   <tr>
    <th scope="col">Constant</th>
    <th scope="col">Description</th>
   </tr>
  </thead>
  <tbody>
   <tr>
    <td><code>gl.RASTERIZER_DISCARD</code></td>
    <td>Primitives are discarded immediately before the rasterization stage, but after the optional transform feedback stage. <code>gl.clear()</code> commands are ignored.</td>
   </tr>
  </tbody>
 </table>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("GLboolean")}} indicating if the capability <em>cap</em> is enabled (<code>true</code>), or not (<code>false</code>).</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">gl.isEnabled(gl.STENCIL_TEST);
// false
</pre>

<p>To activate or deactivate a specific capability, use the {{domxref("WebGLRenderingContext.enable()")}} and  {{domxref("WebGLRenderingContext.disable()")}} methods:</p>

<pre class="brush: js notranslate">gl.enable(gl.STENCIL_TEST);
gl.disable(gl.STENCIL_TEST);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.3", "isEnabled")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glIsEnabled.xml", "glIsEnabled")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the (similar) OpenGL ES 2.0 API.</td>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.2", "isEnabled")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Updated definition for WebGL 2.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glIsEnabled.xhtml", "glIsEnabled")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL ES 3.0 API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.isEnabled")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.enable()")}}</li>
 <li>{{domxref("WebGLRenderingContext.disable()")}}</li>
</ul>
